add a wrapper around utf8info
- ID
a22495e- date
2023-05-26 21:34:48+00:00- author
Alex Chan <alex@alexwlchan.net>- parent
a8a5a05- message
add a wrapper around utf8info- changed files
2 files, 33 additions
Changed files
text/utf8info (0) → text/utf8info (436)
diff --git a/text/utf8info b/text/utf8info
new file mode 100755
index 0000000..493b1b8
--- /dev/null
+++ b/text/utf8info
@@ -0,0 +1,18 @@
+#!/usr/bin/env bash
+# This is a wrapper around @lunasorcery's tool for printing out
+# raw Unicode codepoints: see https://github.com/lunasorcery/utf8info
+
+set -o errexit
+set -o nounset
+
+if ! docker images | grep lunasorcery/utf8info >/dev/null
+then
+ pushd ~/repos/pathscripts/text
+ docker build \
+ --tag lunasorcery/utf8info \
+ --file utf8info.Dockerfile \
+ .
+ popd
+fi
+
+docker run --interactive lunasorcery/utf8info
text/utf8info.Dockerfile (0) → text/utf8info.Dockerfile (296)
diff --git a/text/utf8info.Dockerfile b/text/utf8info.Dockerfile
new file mode 100644
index 0000000..a7daca2
--- /dev/null
+++ b/text/utf8info.Dockerfile
@@ -0,0 +1,15 @@
+FROM ubuntu:18.04
+
+RUN apt-get update && \
+ apt-get install --yes curl git g++ make unzip
+
+RUN git clone https://github.com/lunasorcery/utf8info.git
+
+WORKDIR utf8info
+
+RUN make && make install
+
+RUN apt-get remove --yes git make g++ unzip && \
+ apt autoremove --yes
+
+ENTRYPOINT ["utf8info"]